> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all supplier lists, filter by query



## OpenAPI

````yaml get /supplier_lists
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /supplier_lists:
    get:
      tags:
        - Supplier Lists
      summary: Retrieve all supplier lists, filter by query
      parameters:
        - name: q
          in: query
          description: Query string. search in name and description
          schema:
            type: string
        - name: created
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on created
            timestamp for object.
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: sort
          in: query
          description: >-
            Results are sorted by created desc as default.

            Ordering may be specified, available options are ['created',
            'updated'], which can be combined in a comma separated list,

            e.g. updated:desc,created:asc 
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results returned per request
          schema:
            type: integer
        - name: page
          in: query
          description: Paginate results when number of results exceeds limit
          schema:
            type: integer
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  talent_pools:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '123'
                        owner_type:
                          type: string
                          example: User
                        owner_name:
                          type: string
                          example: Jack Jones
                        name:
                          type: string
                          example: Tier 1 Suppliers
                        description:
                          type: string
                          example: description
                        visibility:
                          type: string
                          example: private
                        sync_marketing:
                          type: string
                          example: 'true'
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
        '401':
          description: unauthorized
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````